
TYPO3.Flow - Feature # 1528

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: AOP
Created: 2008-09-16 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Add new pointcut designator for checks against configuration
Description

To allow activation/deactivation of advice it would be nice to have a new pointcut designator that checks against the given
configuration path and returns a boolean depending on the configuration value found.

Associated revisions
Revision e41995ce - 2008-12-19 14:42 - Andreas Förthner
FLOW3 (AOP):
    -  Implemented new pointcut designator configuration(). Resolves #1528.
    -  Added missing suffix "Test" to a test class.

History
#1 - 2008-10-22 22:58 - Robert Lemke
- Target version set to 0.1

#2 - 2008-10-22 22:58 - Robert Lemke
- Target version changed from 0.1 to 1.0 alpha 1

#3 - 2008-10-28 12:53 - Karsten Dambekalns
- Target version deleted (1.0 alpha 1)

#4 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#5 - 2008-12-19 14:45 - Andreas Förthner
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1662.
